Opus audio codec (RFC 6716): API and operations manual
1.1.2

Macros
Error codes

## Macros

#define | OPUS_OK
| No error. More...
#define | OPUS_BAD_ARG
| One or more invalid/out of range arguments. More...
#define | OPUS_BUFFER_TOO_SMALL
| Not enough bytes allocated in the buffer. More...
#define | OPUS_INTERNAL_ERROR
| An internal error was detected. More...
#define | OPUS_INVALID_PACKET
| The compressed data passed is corrupted. More...
#define | OPUS_UNIMPLEMENTED
| Invalid/unsupported request number. More...
#define | OPUS_INVALID_STATE
| An encoder or decoder structure is invalid or already freed. More...
#define | OPUS_ALLOC_FAIL
| Memory allocation has failed. More...

## Detailed Description

## Macro Definition Documentation

## ◆ OPUS_ALLOC_FAIL

#define OPUS_ALLOC_FAIL

Memory allocation has failed.

## ◆ OPUS_BAD_ARG

#define OPUS_BAD_ARG

One or more invalid/out of range arguments.

## ◆ OPUS_BUFFER_TOO_SMALL

#define OPUS_BUFFER_TOO_SMALL

Not enough bytes allocated in the buffer.

## ◆ OPUS_INTERNAL_ERROR

#define OPUS_INTERNAL_ERROR

An internal error was detected.

## ◆ OPUS_INVALID_PACKET

#define OPUS_INVALID_PACKET

The compressed data passed is corrupted.

## ◆ OPUS_INVALID_STATE

#define OPUS_INVALID_STATE

An encoder or decoder structure is invalid or already freed.

## ◆ OPUS_OK

#define OPUS_OK

No error.

## ◆ OPUS_UNIMPLEMENTED

#define OPUS_UNIMPLEMENTED

Invalid/unsupported request number.

For more information visit the Opus Website. |